## fsleyes 0.15.1

=== requirements.txt ===
six==1.*
numpy==1.*
matplotlib>=1.5.1,<3.0.0
nibabel==2.*
Jinja2==2.*
Pillow>=3.2.0,<5.0
PyOpenGL>=3.1.0,<4.0
PyOpenGL-accelerate>=3.1.0,<4.0
PyParsing==2.*
scipy==0.*
indexed_gzip==0.*
wxpython>=3.0.2.0,<4.1
fslpy==1.*
fsleyes-props==1.*
fsleyes-widgets==0.*

=== debian/changelog ===
fsleyes (0.15.1-2~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Sun, 22 Oct 2017 21:08:43 +0200

fsleyes (0.15.1-2) neurodebian; urgency=medium

  * Add missing dependency on fsleyes-widgets.

 -- Michael Hanke <mih@debian.org>  Sun, 22 Oct 2017 21:06:08 +0200

fsleyes (0.15.1-1) neurodebian; urgency=medium

  * New upstream release (missed many).

 -- Michael Hanke <mih@debian.org>  Sat, 21 Oct 2017 13:25:55 +0200

fsleyes (0.10.1-2) neurodebian; urgency=medium

  * Added missing dependency to python-jinja2. Thanks to Chris Adamson for
    the report.

 -- Michael Hanke <mih@debian.org>  Tue, 02 May 2017 07:06:12 +0200

fsleyes (0.10.1-1) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Thu, 27 Apr 2017 13:37:51 +0200

## fsleyes 0.15.2

=== debian/changelog ===
fsleyes (0.15.2-1~nd80+1) jessie; urgency=medium

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 24 Nov 2017 08:25:52 +0100

fsleyes (0.15.2-1) neurodebian; urgency=medium

  * Upstream bugfix releases, various wx3 compatibility fixes that caused
    faulty GUI behavior.

 -- Michael Hanke <mih@debian.org>  Fri, 24 Nov 2017 06:52:18 +0100

=== debian/control ===
Source: fsleyes
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-six (>= 1.0~),
               python-mock,
               python-sphinx,
               python-sphinx-rtd-theme,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7

Package: fsleyes
Architecture: all
Section: science
Depends: neurodebian-popularity-contest, python-fsl,
         python-fsleyes-props,
         python-fsleyes-widgets,
         python-wxgtk3.0,
         python-six,
         python-jinja2,
         python-scipy,
         python-matplotlib,
         python-numpy,
         python-opengl (>= 3.1~),
         python-six (>= 1.0~),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
Description: FSL image viewer
 Feature-rich viewer for volumetric (medical) images.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/_.*$$//' -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = fsleyes

# one ring to rule them all ...
%:
	dh $@ --with python2 --buildsystem=pybuild

clean::
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build
	-rm -rf fsleyes.egg-info/
	-rm -rf userdoc/html apidoc/html
	-find . -name '*.pyc' -delete
	-rm -rf fsleyes/assets fsleyes/userdoc

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
#	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
#		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
	git archive --format=tar --prefix=$(srcpkg)-$(upstreamver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(upstreamver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done
